Subject: Re: [PATCH 3/4 v2] mtd/powerpc: Remove unused "device-width" property

From: Stefan Roese <[email-masked]>
Date: Tue, 7 Apr 2009 18:54:16 +0200

On Tuesday 07 April 2009, Scott Wood wrote:
> Stefan Roese wrote:
> > This property is unused. It's not handled as all by the physmap_of
> > driver. So let's remove it from the documentation.
> >
> > Signed-off-by: Stefan Roese <[email-masked]>
> > CC: Grant Likely <[email-masked]>
>
> The device tree describes the hardware, not what Linux happens to do
> with it at the moment.
>
> I'd rather keep it.

I find it rather confusing to "see" such bindings that are not supported. One 
could expect something to happen/change after defining this property. So in 
general I think adding unsupported properties to the Documentation is a bad 
idea. But that's just my 2 cents. If the general opinion is to keep this 
property, I'll keep it in of course.

Best regards,
Stefan